package com.chinaweal.aiccs.aiccs.auditing.mapper;

import com.chinaweal.aiccs.aiccs.auditing.entity.TSOpinion;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 监管共用审批意见表 Mapper 接口
 * </p>
 *
 * @author <a href="https://blog.lroyia.top">lroyia</a>
 * @since 2021-01-22
 */
public interface TSOpinionMapper extends BaseMapper<TSOpinion> {

    /**
     * 通过工作流id查询所有工作流内的处理意见
     * @param workflowId    工作流id
     * @return  查询结果
     * @author lroyia
     * @since  2021年4月28日 13:50:01
     */
    List<TSOpinion> selectOpinionWithOrg(@Param("workflowId") String workflowId);

    TSOpinion getOpinionByOne(@Param("workflowId") String workflowId);

    List<TSOpinion> queryByWorkflowId(@Param("workflowId") String workflowId);

    List<TSOpinion> getRecoverListInbiz();


    /**
     * 查询已办结的件
     */
    List<String> listAlreadyYb();

    List<TSOpinion> getRecoverListReturn();

    List<TSOpinion> getRecoverListFinish();

    /**
     * 旧系统列异审批意见
     * @param SAPPROVECODE
     * @return
     */
    List<TSOpinion> queryOldOpninion(@Param("SAPPROVECODE")String SAPPROVECODE);

    /**
     * 旧系统严重违法审批意见
     * @param SAPPROVECODE
     * @return
     */
    List<TSOpinion> queryOldSerillegaOpninion(@Param("SAPPROVECODE")String SAPPROVECODE);
}
